import { WebSocket } from 'ws';

// 连接到代理服务器
const socket = new WebSocket('wss://blive.deno.dev', {
  rejectUnauthorized: false,
});

socket.addEventListener('open', () => {
  console.log('WebSocket connection opened');
  // 进入房间命令
  socket.send(
    JSON.stringify({
      cmd: 'enter', // 命令名，必填
      rid: 6811411, // 房间号，必填
      events: ['DANMU_MSG'], // 监听这个房间中的事件列表，必填
    }),
  );

  // 退出房间命令
  // socket.send(
  //   JSON.stringify({
  //     cmd: 'leave', // 命令名，必填
  //     rid: 123, // 房间号，必填
  //   }),
  // );

  // // 退出所有房间
  // socket.send(
  //   JSON.stringify({
  //     cmd: 'exit',
  //   }),
  // );
});

// 接收进入房间时`events`参数所指定的消息
socket.addEventListener('message', ({ data }) => {
  // 接收到的消息，格式为 { rid: 房间号, payload: {} }
  console.log(data);
});
